Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006461opensim[REGION] OpenSim Corepublic2012-12-14 23:442019-02-06 11:30
Reportertglion 
Assigned Totglion 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006461: Region-crossing result in a wrong SIM if crossing close to NW corner to west
DescriptionIf you crossing the sim to west and if you are close to north, you tp wrongly to the sim on north-west.

This is observed on OSGrid SIM Irene trying to cross to Stephen. But crossing ends up in sim Hain.

Same problem is on my private Grid with the last trunk of opensim.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version4.0.1
ViewerAll viewers
Attached Files

- Relationships
related to 0006794assignedRobert Adams [BULLETSIM] Avatar flying to edge of a region suddenly jumps to opposite side 

-  Notes
(0023279)
justincc (administrator)
2012-12-17 15:57

Is this a recent change in behaviour or has this bug existed for a while?
(0023284)
tglion (reporter)
2012-12-18 09:50

I think this is for a while, first observed 3 month ago, but I am not 100% sure how long this bug exist.
(0023285)
Vivian Klees (reporter)
2012-12-18 10:16

You are at 2,664,070.0, 2,573,020.0, 46.0 in Stephen located at 37-251-95-55.FTTH.ispfabriek.nl (37.251.95.55:15121)
OpenSim 0.7.4 Dev OSgrid 0.7.4 (Dev) 1647060: 2012-03-23 (Win/.NET)

I tried to replicate the steps above. The only way I could get that to happen was start in Irene border cross into Stephen border cross back into Irene and tp back to Stephen so really the map in the viewer is picking up the last coordinates not 128,128,0
(0023289)
tglion (reporter)
2012-12-19 08:18

You must be very close to the NW corner while crossing to west.
If I try to cross back after that my viewer crashes
(0024453)
aiaustin (developer)
2013-10-12 04:27

tglion... what physics engine are you using when you see this?
(0024465)
tglion (reporter)
2013-10-13 12:46

ODE
(0030851)
tglion (reporter)
2016-06-30 22:48

Hi, this issue seem to be resolved in 0.9
(0034522)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2012-12-14 23:44 tglion New Issue
2012-12-17 15:57 justincc Note Added: 0023279
2012-12-18 09:50 tglion Note Added: 0023284
2012-12-18 10:16 Vivian Klees Note Added: 0023285
2012-12-19 08:18 tglion Note Added: 0023289
2013-10-11 12:42 tglion Relationship added related to 0006794
2013-10-12 04:27 aiaustin Note Added: 0024453
2013-10-13 12:46 tglion Note Added: 0024465
2016-06-30 22:48 tglion Note Added: 0030851
2016-06-30 22:50 tglion Mono Version 2.10 => 4.0.1
2016-06-30 22:50 tglion Status new => resolved
2016-06-30 22:50 tglion Fixed in Version => master (dev code)
2016-06-30 22:50 tglion Resolution open => fixed
2016-06-30 22:50 tglion Assigned To => tglion
2019-02-06 11:30 BillBlight Note Added: 0034522
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker